# This is the configuration file for colorchord.
# Most values are already defaulted in the software.
# This file is constantly checked for new versions.
# \r, and ; are used as terminators, so you can put
# multiple entries on the same line.

#Whether to limit the control loop to ~60ish FPS.
cpu_autolimit = 1

#General GUI properties.
title = PA Test
set_screenx = 720
set_screeny = 480

#Sound properties.
buffer = 384
play = 0
rec = 1
channels = 2



# THis matters for CC Turbo8
# What is the base note?  I.e. the lowest note. 
# Note that it won't have very much impact until an octave up though!

#These two are carefully selected.  You should pick a base note such that it fully saturates the sample frequency.
#10000 / 2^4{octaves} / 8
base_hz = 82.41
samplerate = 10000

freqbins = 12
octaves = 4



slope = 0
wininput = -1

#Compiled version will default this.
#sound_source = ALSA
#-1 indicates left and right, 0 left, 1 right.

sample_channel = -1
sourcename = default
#alsa_output.pci-0000_00_1f.3.analog-stereo.monitor
#default
# alsa_output.pci-0000_00_1b.0.analog-stereo.monitor
#alsa_output.pci-0000_00_1f.3.analog-stereo.monitor << New laptop
#use pactl list | grep pci- | grep monitor

##################################
# General ColorChord properties. #
##################################

# How much to amplify the incoming signal.
amplify = 2.0


# This is only used when dealing with the slow decompose (now defunct)
# decompose_iterations = 1000
# default_sigma = 1.4000


# For the final note information... How much to slack everything?
note_attach_amp_iir = 0.3500
note_attach_amp_iir2 = 0.250
note_attach_freq_iir = 0.3000

#How many bins a note can jump from frame to frame to be considered a slide.
#this is used to prevent notes from popping in and out a lot.
note_combine_distance = 0.5000
note_jumpability = 1.8000
note_minimum_new_distribution_value = 0.0200
note_out_chop = 0.05000

#compress_coefficient = 4.0
#compress_exponent = .5


#=======================================================================
#Outputs


shim_sinewave = 0

This is a vornoi thing: 
outdrivers = DisplayArray
#lightx = 64
#lighty = 32
#fromsides = 1
#shape_cutoff = 0.03
#satamp = 5.000
#amppow = 2.510
#distpow = 1.500



